Loading...
Searching...
No Matches
Gudhi::coxeter_triangulation::Function_torus_in_R3 Class Reference

A class that encodes the function, the zero-set of which is a torus surface embedded in R^3. More...

`#include <include/gudhi/Functions/Function_torus_in_R3.h>`

## Public Member Functions

Eigen::VectorXd | operator() (const Eigen::VectorXd &p) const
| Value of the function at a specified point.
std::size_t | amb_d () const
| Returns the domain (ambient) dimension.
std::size_t | cod_d () const
| Returns the codomain dimension.
Eigen::VectorXd | seed () const
| Returns a point on the surface.
| Function_torus_in_R3 (double R=1, double r=0.5, Eigen::Vector3d off=Eigen::Vector3d::Zero())
| Constructor of the function that defines a torus embedded in R^3.

## Detailed Description

A class that encodes the function, the zero-set of which is a torus surface embedded in R^3.

## Constructor & Destructor Documentation

## Function_torus_in_R3()

Gudhi::coxeter_triangulation::Function_torus_in_R3::Function_torus_in_R3 | ( | double | R = 1,
|  | double | r = 0.5,
|  | Eigen::Vector3d | off = Eigen::Vector3d::Zero() )

inline

Constructor of the function that defines a torus embedded in R^3.

Parameters

  [in] | R | The outer radius of the torus.
  [in] | r | The inner radius of the torus.
  [in] | off | Offset vector.

## Member Function Documentation

## operator()()

Eigen::VectorXd Gudhi::coxeter_triangulation::Function_torus_in_R3::operator() | ( | const Eigen::VectorXd & | p | ) | const

inline

Value of the function at a specified point.

Parameters

  [in] | p | The input point. The dimension needs to coincide with the ambient dimension.

The documentation for this class was generated from the following file:

- include/gudhi/Functions/Function_torus_in_R3.h